## org.hibernate.service
Interface BootstrapServiceRegistry

All Superinterfaces:
  ServiceRegistry

All Known Implementing Classes:
  BootstrapServiceRegistryImpl

    public interface BootstrapServiceRegistry

extends ServiceRegistry

Specialization of the `ServiceRegistry` contract mainly to make the `ServiceRegistryBuilder.ServiceRegistryBuilder(BootstrapServiceRegistry)` signature type-safe

Method Summary

Methods inherited from interface org.hibernate.service.ServiceRegistry
`getParentServiceRegistry, getService`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.